class Settings::RuntimesController < SettingsController

  def index
    @runtime = Runtime.new
  end

  def show
    @runtime = Runtime.find(params[:id])
  end

  def create
    @runtime = Runtime.new(runtime_params)

    if @runtime.save
      flash[:success] = "Runtime #{@runtime.name} successfully created"
      redirect_to action: :index
    else
      flash.now[:failure] = "There were some errors" 
      render "index"
    end
  end
  def update
    @runtime = Runtime.find(params[:id])

    if @runtime.update_attributes(runtime_params)
      flash[:success] = "Runtime #{@runtime.name} successfully updated"
      redirect_to action: :index
    else
      flash.now[:failure] = "There were some errors" 
      render "index"
    end
  end

  def destroy
    @runtime = Runtime.find(params[:id])

    if @runtime.destroy
      flash[:success] = "Runtime #{@runtime.name} successfully deleted"
    else
      flash[:error] = "Could not delete #{@runtime.name} runtime"
    end

    redirect_to action: :index
  end

  private

  def runtime_params
    params.require(:runtime).permit(:name, :language_id)
  end
end
