# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).
#
# Examples:
#
#   cities = City.create([{ name: 'Chicago' }, { name: 'Copenhagen' }])
#   Mayor.create(name: 'Emanuel', city: cities.first)

require 'json'


def seed(filename)
  root = File.join(Rails.root, 'db', 'seeds')
  data = JSON.parse( IO.read( File.join(root, filename) ) )
  for m in 1..12
    timestamp = Time.new(2014, m, 1, 10, 10, 10)
    data['timestamp'] = timestamp.strftime("%Y-%m-%dT%H:%M:%S.%LZ")
    puts "Seeding #{filename} at #{data['timestamp']}"
    BenchmarkBatch.from_json data
  end
end

seed 'results1.json'
seed 'results2.json'